/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TarjetaFidelidad;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderTarjetaFidelidadClaves implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TarjetaFidelidad tf = (TarjetaFidelidad) o;

        Listcell lc = new Listcell(tf.getDescGeneracion());
        lc.setParent(lstm);

        lc = new Listcell(tf.getNumTarjeta().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", tf);
    }
}
